PLRGBHLS(3)

NAME
plrgbhls - Convert RGB color to HLS

SYNOPSIS
plrgbhls(r, g, b, p_h, p_l, p_s)

DESCRIPTION

Convert RGB color coordinates to HLS

Redacted form: General: plrgbhls(r, g, b, p_h, p_l, p_s)

This function is used in example 2.

ARGUMENTS

r (PLFLT(3), input)
    Red intensity (0.0-1.0) of the color.

g (PLFLT(3), input)
    Green intensity (0.0-1.0) of the color.

b (PLFLT(3), input)
    Blue intensity (0.0-1.0) of the color.

p_h (PLFLT_NC_SCALAR(3), output)
    Returned value of the hue in degrees (0.0-360.0) on the color cylinder.

p_l (PLFLT_NC_SCALAR(3), output)
    Returned value of the lightness expressed as a fraction (0.0-1.0) of the axis of the color cylinder.

p_s (PLFLT_NC_SCALAR(3), output)
    Returned value of the saturation expressed as a fraction (0.0-1.0) of the radius of the color cylinder.

AUTHORS
Many developers (who are credited at http://plplot.org/credits.php) have contributed to PLplot over its long history.

SEE ALSO
PLplot documentation at http://plplot.org/documentation.php.